GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

REST APIs
    Orders
    Market Data
    Derivatives
    Margin Trading
    Staking
    Clearing
    Instant Orders
    Fund Management
      Get Available BalancesGet Notional BalancesList Deposit AddressesCreate New Deposit AddressList Past TransfersList Custody Fee TransfersWithdraw Crypto FundsGet Gas Fee EstimationAdd BankAdd Bank (CAD)List Payment MethodsList Approved AddressesCreate New Approved AddressRemove Approved AddressTransfer Between AccountsGet Transaction History
WebSocket
    AuthenticationMessage Format
    Streams
      Book TickerL2 Partial DepthL2 Differential DepthTrade StreamOrder EventsBalance Updates
    Playground
      Overviewconninfopingtimesubscribeunsubscribelist_subscriptionsdepthorder.placeorder.cancelorder.cancel_allorder.cancel_session
Agentic
FIX

Get Gas Fee Estimation

TradingFund ManagementGet Gas Fee Estimation

Get Gas Fee Estimation

POSThttps://api.gemini.com/v1/withdraw/{currencyCodeLowerCase}/feeEstimate

Returns the estimated gas fees for a withdrawal before you initiate it.

POSTv1/withdraw/eth/feeEstimate
curl --request POST \
  --url https://api.gemini.com/v1/withdraw/eth/feeEstimate \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/withdraw/eth/feeEstimate",
  "nonce": "<nonce>",
  "address": "0xA63123350Acc8F5ee1b1fBd1A6717135e82dBd28",
  "amount": "2.34567",
  "account": "primary"
}
'

Roles

The API key you use to access this endpoint must have the Trader, Fund Manager, Auditor, WealthManager, or Administrator role assigned. See Roles for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Path Parameters

networkstring·required
The blockchain network for the withdrawal (e.g. ethereum, bitcoin, solana)
tickerstring·required
The currency code for the withdrawal (e.g. eth, btc, sol, usdc)

Request Body

requeststring·required
The string `/v2/withdraw/{network}/{ticker}/feeEstimate` where `{network}` is the blockchain network (e.g. `ethereum`, `bitcoin`, `solana`) and `{ticker}` is the currency code (e.g. `eth`, `btc`, `sol`). See [Symbols and minimums](/market-data/symbols-and-minimums)Example: /v2/withdraw/ethereum/eth/feeEstimate
nonceTimestampType | integer·required
timestampExample: 1495127793000
addressstring·required
Standard string format of the destination cryptocurrency addressExample: 0x31c2105b8dea834167f32f7ea7d877812e059230
amountstring·required
Quoted decimal amount to withdrawExample: 0.01
accountstring
Required for Master API keys. The name of the account within the subaccount group.Example: primary
memostring
It would be present if applicable, it will be present for cosmos address.
Example request body
{
  "request": "/v2/withdraw/ethereum/eth/feeEstimate",
  "nonce": "<nonce>",
  "address": "0x31c2105b8dea834167f32f7ea7d877812e059230",
  "amount": "0.01"
}

Responses

Successful fee estimation response

currencystring
Currency code, see [symbols](/market-data/symbols-and-minimums).Example: ETH
feenumber (decimal)
The estimated withdrawal fee as a decimal amountExample: 0.001
isOverrideboolean
Whether an override on the customer's account for free withdrawals existsExample: false
monthlyLimitinteger
Total number of allowable fee-free withdrawalsExample: 1
monthlyRemaininginteger
Total number of allowable fee-free withdrawals remainingExample: 1
Example Responses
{
  "currency": "ETH",
  "fee": 0.001,
  "isOverride": false,
  "monthlyLimit": 1,
  "monthlyRemaining": 1
}
PreviousWithdraw Crypto FundsNextAdd Bank
Last modified on May 5, 2026